-- phpMyAdmin SQL Dump
-- version 3.4.11.1deb2+deb7u1
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le: Dim 22 Mars 2015 à 15:46
-- Version du serveur: 5.5.41
-- Version de PHP: 5.4.39-0+deb7u1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `FirstPizza`
--

-- --------------------------------------------------------

--
-- Structure de la table `Garniture`
--

CREATE TABLE IF NOT EXISTS `Garniture` (
  `nom_garniture` varchar(50) DEFAULT NULL,
  `id_Garniture` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_Garniture`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=53 ;

--
-- Contenu de la table `Garniture`
--

INSERT INTO `Garniture` (`nom_garniture`, `id_Garniture`) VALUES
('Tomates', 1),
('Champignons', 2),
('Gruyere', 3),
('Merguez', 4),
('Creme Fraiche', 5),
('Brocolis', 6),
('Oignons', 7),
('Fromage de chevre frais', 8),
('Courgettes', 9),
('Mozzarella', 10),
('Olives', 11),
('Fontina', 12),
('Parmesan', 13),
('Aubergines', 14),
('Poivrons rouges', 15),
('Poivrons jaunes', 16),
('Poivrons verts', 17),
('Capres', 18),
('Filet de truite', 19),
('Pomme de terre', 20),
('Chicorees rouges', 21),
('Bacon', 22),
('Ananas', 23),
('Gorgonzola', 24),
('Cerneaux de noix', 25),
('Jambon', 26),
('Asperges', 27),
('Epinards', 28),
('Oeuf', 29),
('Anchois', 30),
('Pomme', 31),
('Poire', 32),
('Chocolat', 33),
('Crevettes', 34),
('Raisins', 35),
('Banane', 36),
('Pruneaux', 37),
('Abricots Secs', 38),
('Fruits Rouges', 39),
('Noix de coco', 40),
('Ricotta', 41),
('Orange', 42),
('Saint Jacques', 43),
('Porc Braise', 44),
('Blanc de Poulet', 45),
('Ail', 46),
('Thon', 47),
('Moules', 48),
('Palourdes', 49),
('Roquette', 50),
('Piments', 51),
('Miel', 52);

-- --------------------------------------------------------

--
-- Structure de la table `GarniturePizza`
--

CREATE TABLE IF NOT EXISTS `GarniturePizza` (
  `fk_id_Pizza` int(11) NOT NULL,
  `fk_id_Garniture` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `GarniturePizza`
--

INSERT INTO `GarniturePizza` (`fk_id_Pizza`, `fk_id_Garniture`) VALUES
(1, 1),
(1, 10),
(2, 27),
(2, 10),
(2, 26),
(3, 26),
(3, 1),
(3, 3),
(3, 23),
(4, 10),
(4, 30),
(4, 1),
(5, 3),
(5, 34);

-- --------------------------------------------------------

--
-- Structure de la table `Pate`
--

CREATE TABLE IF NOT EXISTS `Pate` (
  `tps_repos` time NOT NULL,
  `nom_pate` varchar(50) DEFAULT NULL,
  `id_Pate` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id_Pate`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Contenu de la table `Pate`
--

INSERT INTO `Pate` (`tps_repos`, `nom_pate`, `id_Pate`) VALUES
('01:30:00', 'Classique', 1),
('01:00:00', 'Aux Herbes', 2),
('02:00:00', 'Complete', 3),
('00:35:00', 'Pomme de Terre', 4),
('00:55:00', 'Au Lait', 5),
('00:25:00', 'Farine de Mais', 6);

-- --------------------------------------------------------

--
-- Structure de la table `Pizza`
--

CREATE TABLE IF NOT EXISTS `Pizza` (
  `id_Pizza` int(11) NOT NULL AUTO_INCREMENT,
  `nom_Pizza` varchar(50) NOT NULL,
  `fk_id_Pate` int(11) DEFAULT '0',
  `tps_cuisson` time NOT NULL,
  PRIMARY KEY (`id_Pizza`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Contenu de la table `Pizza`
--

INSERT INTO `Pizza` (`id_Pizza`, `nom_Pizza`, `fk_id_Pate`, `tps_cuisson`) VALUES
(1, 'Marguerita', 1, '00:20:00'),
(2, 'Asperges et Jambon', 3, '00:10:00'),
(3, 'Hawaienne', 1, '00:20:00'),
(4, 'Napolitaine', 1, '00:15:00'),
(5, 'Crevettes Paprika', 2, '00:25:00');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
