#!/usr/bin/python
# -*- coding: utf-8 -*-
import MySQLdb as mdb
import sys

conn = mdb.connect(	host="localhost", # votre hôte, normalement le serveur local
					user="pizza", # utilisateur
					passwd="pizzamdp", # mot de passe
					db="FirstPizza") # nom de la base de données

# Il est nécessaire de créer un objet de type Curseur pour réaliser des requêtes
curs = conn.cursor()

curs.execute("SELECT * FROM Pizza")

rows = curs.fetchall()

for row in rows:
	print ("Nom de la pizza : " + row[1])
	
	#~ On recherche l identifiant associé à la pâte
	
	curs.execute("SELECT nom_Pate FROM Pate WHERE id_Pate = %d" % (row[2]))
	nom_pate = curs.fetchone()
	
	if nom_pate is not None:
		print("Nom de la pâte : %s" % (nom_pate))
	else:
		print ("Pâte introuvable - cohésion de la base de données incorrecte")
	
	#~ Rechercher l ensemble des clés avec l identifiant de la pizza
	curs.execute ("SELECT fk_id_Garniture FROM GarniturePizza WHERE fk_id_Pizza = %d" % row[0])
	
	tab_garnitures = curs.fetchall()

	for fk_garniture in tab_garnitures:
	
		# On recherche l identifiant associé à la garniture
		curs.execute("SELECT nom_Garniture FROM Garniture WHERE id_Garniture = %d" % fk_garniture)
		garniture = curs.fetchone()
		
		if garniture is not None:
			print("Nom de l'ingrédient : %s" % (garniture))
		else:
			print ("Garniture introuvable - cohésion de la base de données incorrecte")
		
	# Pour séparer les différentes pizzas
	print
	
curs.close()    
conn.close()


