
CREATE OR REPLACE TRIGGER trg_employes_responsable
BEFORE INSERT
ON Responsables
FOR EACH ROW
DECLARE temp varchar(20);
result integer;
BEGIN
temp := :NEW.nomE; 
SELECT count(*) into result FROM Gardiens WHERE nomE=temp;
IF result>0 THEN
RAISE_APPLICATION_ERROR(-20010,temp || ' est deja gardien!');
END IF;
END;
/

CREATE OR REPLACE TRIGGER trg_employes_gardien
BEFORE INSERT
ON Gardiens
FOR EACH ROW
DECLARE temp varchar(20);
result integer;
BEGIN
temp := :NEW.nomE; 
SELECT count(*) into result FROM Responsables WHERE nomE=temp;
IF result>0 THEN
RAISE_APPLICATION_ERROR(-20011,temp || ' est deja responsable!');
END IF;
END;
/


CREATE OR REPLACE TRIGGER trg_cage_vide
AFTER DELETE
ON Animaux
BEGIN
DELETE FROM Gardiens WHERE nocage IN (select nocage from Cages minus select nocage from Animaux);
END;
/

-- set serverout on;

CREATE OR REPLACE TRIGGER trg_cage_gardee
AFTER INSERT
ON Animaux
FOR EACH ROW
DECLARE temp integer;
result integer;
BEGIN
temp := :NEW.noCage; 
SELECT count(*) into result FROM Gardiens WHERE noCage=temp;
IF result=0 THEN
INSERT INTO Gardiens VALUES (temp,'Scholl');
DBMS_OUTPUT.ENABLE(100000);
DBMS_OUTPUT.PUT_LINE('Ajout (' || temp || ',Scholl) dans Gardiens');
DBMS_OUTPUT.NEW_LINE;
END IF;
END;
/


commit;