1) Le nom des animaux du zoo.
select nomA from Animaux;

2) Les differents types de fonctions associes aux cages dans le zoo.
select fonction from Cages group by fonction;

3) Les noms des leopards.
select nomA from Animaux where type = "leopard";

4) Les maladies contractees au moins une fois par des animaux du zoo.
Seules les maladies contractees sont enregistrees donc consultation de la table Maladie.
select nomM from Maladies group by nomM;

5) Les noms et numeros de cage des animaux males qui sont originaires du Kenya et dont la date de naissance est anterieure a 1992.
select nomA, noCage from Animaux where ( pays = "kenya" and anNais < 1992);

6) Une requete produisant l affichage suivant :		
select concat (nomE, " vit a ", adresse) from Employes;

7) Le nom et l age des animaux en 2015.
select nomA, (2015 - anNais) from Animaux;

8) Le nom des gardiens qui habitent Ushuaia.
select Gardiens.nomE, Employes.adresse from Gardiens, Employes where ( Gardiens.nomE = Employes.nomE AND Employes.adresse = "ushuaia") group by Gardiens.nomE;

9) La fonction des cages gardees par un employe habitant Calvi.
select Cage.Fonction FROM Cage WHERE noCage in (select Gardiens.noCage from Gardiens WHERE Gardiens.nomE in (select Employes.nomE as nom_employe from Employes WHERE Employes.adresse = "Calvi"))

10) Les noms des animaux qui ont ete malades
select nomA from Maladies group by nomA;

11) Les noms et types des animaux qui n ont jamais ete malades.
select nomA from Animaux where nomA not in (select nomA from Maladies group by nomA);

12) Les noms des animaux originaires du Kenya ayant deja contractes une grippe.
select nomA from Animaux where (nomA in (select Maladies.nomA from Maladies where ( Maladies.nomM = "Grippe" )) and Animaux.pays="Kenya");

13) Les numeros et fonctionnalites des cages qui sont inoccupees.
select C.noCage, C.fonction from Cages as C where C.noCage not in (select Animaux.noCage from Animaux);

14) Donner pour chaque animal male l ensemble des maladies qu il a contractees (ensemble des couples nom d animal, nom de maladie).
select A.nomA, M.nomM from Animaux as A, Maladies as M where ( A.sexe="Male" AND A.nomA = M.nomA );

15) Les noms des gardiens de Charly.
select nomE from Gardiens where noCage = ( select noCage from Animaux where nomA = "Charly" )

16)  Le nom et le pays d origine de l animal doyen du zoo (il peut y en avoir plusieurs).
select nomA, pays from Animaux where (anNais = ( select MIN(anNais) from Animaux ))