-- phpMyAdmin SQL Dump
-- version 4.0.10deb1
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le: Mar 09 Juin 2015 à 21:17
-- Version du serveur: 5.5.43-0ubuntu0.14.04.1
-- Version de PHP: 5.5.9-1ubuntu4.9

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `panierweb`
--
CREATE DATABASE IF NOT EXISTS `panierweb` DEFAULT CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `panierweb`;

-- --------------------------------------------------------

--
-- Structure de la table `articles`
--

CREATE TABLE IF NOT EXISTS `articles` (
  `id_article` int(11) NOT NULL AUTO_INCREMENT,
  `nom_article` varchar(50) NOT NULL,
  `fk_id_panier` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_article`),
  KEY `fk_id_panier` (`fk_id_panier`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Contenu de la table `articles`
--

INSERT INTO `articles` (`id_article`, `nom_article`, `fk_id_panier`) VALUES
(5, 'papa pinguoin', 2),
(6, 'maman pinguoin', 2);

-- --------------------------------------------------------

--
-- Structure de la table `panier`
--

CREATE TABLE IF NOT EXISTS `panier` (
  `id_panier` int(11) NOT NULL AUTO_INCREMENT,
  `nom_panier` varchar(50) NOT NULL,
  PRIMARY KEY (`id_panier`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Contenu de la table `panier`
--

INSERT INTO `panier` (`id_panier`, `nom_panier`) VALUES
(2, 'panier_tuxie');

--
-- Déclencheurs `panier`
--
DROP TRIGGER IF EXISTS `beforedeletepanier`;
DELIMITER //
CREATE TRIGGER `beforedeletepanier` BEFORE DELETE ON `panier`
 FOR EACH ROW DELETE FROM articles WHERE fk_id_panier = OLD.id_panier
//
DELIMITER ;

-- --------------------------------------------------------

--
-- Structure de la table `traces`
--

CREATE TABLE IF NOT EXISTS `traces` (
  `id_traces` int(11) NOT NULL AUTO_INCREMENT,
  `fk_id_article` int(11) NOT NULL,
  `fk_id_panier` int(11) NOT NULL,
  PRIMARY KEY (`id_traces`),
  KEY `fk_id_article` (`fk_id_article`),
  KEY `fk_id_panier` (`fk_id_panier`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `articles`
--
ALTER TABLE `articles`
  ADD CONSTRAINT `articles_ibfk_1` FOREIGN KEY (`fk_id_panier`) REFERENCES `panier` (`id_panier`);

--
-- Contraintes pour la table `traces`
--
ALTER TABLE `traces`
  ADD CONSTRAINT `traces_ibfk_2` FOREIGN KEY (`fk_id_panier`) REFERENCES `panier` (`id_panier`),
  ADD CONSTRAINT `traces_ibfk_1` FOREIGN KEY (`fk_id_article`) REFERENCES `articles` (`id_article`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
