#!/usr/bin/python
# -*- coding: utf-8 -*-
import MySQLdb as mdb
import MySQLdb.cursors
import sys
import os

conn = mdb.connect(	host="localhost", # votre hôte, normalement le serveur local
					user="vr", # utilisateur
					passwd="vr", # mot de passe
					db="voletroulant", # nom de la base de données
					cursorclass=MySQLdb.cursors.DictCursor # Dictionnaire de données
				)

# Traitement des requêtes aussitôt
conn.autocommit(True)

# Il est nécessaire de créer un objet de type Curseur pour réaliser des requêtes
cur = conn.cursor()

try:
	cur.execute("SELECT * FROM moteur")

except mdb.Error, e:
	print "Erreur %d: %s" % (e.args[0],e.args[1])
	sys.exit(1)

rows = cur.fetchall()

for row in rows:
	
	# On recupere le commentaire du volet roulant
	cur2 = conn.cursor()

	try:
		cur2.execute("SELECT * FROM volet WHERE volet_sn=%s", row['fk_volet'])

	except mdb.Error, e:
		print "Erreur %d: %s" % (e.args[0],e.args[1])
		sys.exit(1)

	row2 = cur2.fetchone()

	hostname = row['moteur_ip']
	response = os.system("ping -c 1 " + hostname)
	
	if response == 0:
		print (row['moteur_ip'] + "," + row['moteur_sn'] + "," + row2['localisation'] + ",up")
	else:
		print (row['moteur_ip'] + "," + row['moteur_sn'] + "," + row2['localisation'] + ",down")
		
cur.close()    
conn.close()