#!/usr/bin/python
# -*- coding: utf-8 -*-
import MySQLdb as mdb
import MySQLdb.cursors

database = MySQLdb.connect(host="localhost", #Connexion a la base de donnees
						user="superviseur", #User pour la connexion
						passwd="superviseur", #Mdp pour la connexion
						db="superviseur", #Database cible
						cursorclass=MySQLdb.cursors.DictCursor)
c = database.cursor() #On effectue une reecriture de la base de donnees dans un curseur sur la lettre C

c.execute("select Client_Reseau.hostname,Client_Reseau.adrs_ip,Client_Reseau.fk_port from Client_Reseau WHERE Client_Reseau.fk_port <>'NULL'") #Requete permettant d'identifier les hotes relies au reseau, ils sont differents de la valeur NULL
clients=c.fetchall() #Reecriture de tous les resultats de requete dans "clients"

for client in clients:
	print ("Nom de l'hote : " +str(client['hostname'])) #Affichage du nom de l'hote
	print ("Adresse IP : "+str(client['adrs_ip'])) #Affichage de l'adresse IP de l'hote
	print("ID du port : "+str(client['fk_port'])) #Affichage de l'ID du port
	print #Espace entre chaque hote

c.close() #Fermeture des connexions