-- phpMyAdmin SQL Dump
-- version 4.6.6deb5
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: Jun 06, 2018 at 12:00 PM
-- Server version: 5.7.22-0ubuntu0.17.10.1
-- PHP Version: 7.1.15-0ubuntu0.17.10.1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `superviseur`
--

-- --------------------------------------------------------

--
-- Table structure for table `Client_Reseau`
--

CREATE TABLE `Client_Reseau` (
  `id_ClientReseau` int(11) NOT NULL,
  `hostname` varchar(50) NOT NULL,
  `adrs_ip` varchar(50) NOT NULL,
  `description` text NOT NULL,
  `fk_type` int(11) DEFAULT NULL,
  `fk_port` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `Client_Reseau`
--

INSERT INTO `Client_Reseau` (`id_ClientReseau`, `hostname`, `adrs_ip`, `description`, `fk_type`, `fk_port`) VALUES
(11, 'Automate1', '192.168.1.1', 'Automate 1', 6, 10),
(12, 'Automate2', '192.168.1.2', 'Automate2', 6, 10),
(13, 'PC informaticien', '162.168.1.64', 'PC informaticien', 7, 11),
(14, 'PC secretariat', '192.168.1.128', 'PC secretariat', 7, 12),
(15, 'PC operateur1', '192.168.1.32', 'PC operateur1', 7, 10),
(16, 'PC operateur2', '192.168.1.33', 'PC operateur 2', 7, 10),
(17, 'Serveur', '192.168.1.200', 'Serveur', 10, 10);

-- --------------------------------------------------------

--
-- Table structure for table `Historique_Client`
--

CREATE TABLE `Historique_Client` (
  `id_historique` int(11) NOT NULL,
  `date_evnmt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `description` text NOT NULL,
  `fk_id_client` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `Historique_Client`
--

INSERT INTO `Historique_Client` (`id_historique`, `date_evnmt`, `description`, `fk_id_client`) VALUES
(4, '2018-01-06 11:00:00', 'Carte mere détruite cause: clé USB killer', 13),
(5, '2018-04-01 07:00:00', 'Réinitialisation cause: variante du virus CONFICKER', 14),
(6, '2018-05-17 22:00:00', 'Equipement virtual box pour une meilleure supervision', 13);

-- --------------------------------------------------------

--
-- Table structure for table `Port`
--

CREATE TABLE `Port` (
  `id_port` int(11) NOT NULL,
  `num_port` int(11) NOT NULL,
  `fk_id_switch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `Port`
--

INSERT INTO `Port` (`id_port`, `num_port`, `fk_id_switch`) VALUES
(10, 0, 3),
(11, 1, 4),
(12, 2, 4),
(13, 10, 4),
(14, 1, 5),
(15, 3, 5),
(16, 4, 5),
(17, 5, 5);

-- --------------------------------------------------------

--
-- Table structure for table `Relation_Vlan_Port`
--

CREATE TABLE `Relation_Vlan_Port` (
  `id_RelationVlanPort` int(11) NOT NULL,
  `fk_idPort` int(11) NOT NULL,
  `fk_idVlan` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `Relation_Vlan_Port`
--

INSERT INTO `Relation_Vlan_Port` (`id_RelationVlanPort`, `fk_idPort`, `fk_idVlan`) VALUES
(12, 11, 5),
(13, 12, 6),
(14, 13, 5),
(15, 13, 6),
(16, 13, 7),
(17, 14, 5),
(18, 14, 6),
(19, 14, 7),
(20, 15, 6),
(21, 16, 6),
(22, 17, 7);

-- --------------------------------------------------------

--
-- Table structure for table `Switch`
--

CREATE TABLE `Switch` (
  `id_Switch` int(11) NOT NULL,
  `hostname` varchar(50) NOT NULL,
  `adrs_ip` varchar(50) DEFAULT NULL,
  `nbre_ports` int(11) NOT NULL,
  `description` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `Switch`
--

INSERT INTO `Switch` (`id_Switch`, `hostname`, `adrs_ip`, `nbre_ports`, `description`) VALUES
(3, '0', '0', 0, 'switch temporaire'),
(4, 'Switch1', '10.122.1.1', 12, 'Switch 1'),
(5, 'Switch2', '10.122.1.2', 24, 'Switch 2');

-- --------------------------------------------------------

--
-- Table structure for table `Type_Client`
--

CREATE TABLE `Type_Client` (
  `id_Type` int(11) NOT NULL,
  `Type` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `Type_Client`
--

INSERT INTO `Type_Client` (`id_Type`, `Type`) VALUES
(6, 'Automate'),
(7, 'PC'),
(8, 'Routeur'),
(9, 'Firewall'),
(10, 'Serveur');

-- --------------------------------------------------------

--
-- Table structure for table `VLan`
--

CREATE TABLE `VLan` (
  `id_vlan` int(11) NOT NULL,
  `numero` int(11) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `description` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `VLan`
--

INSERT INTO `VLan` (`id_vlan`, `numero`, `nom`, `description`) VALUES
(5, 10, 'VLAN Administration', 'VLAN Administration'),
(6, 20, 'VLAN Secretariat', 'VLAN Secretariat'),
(7, 30, 'VLAN Automate', 'VLAN Automate'),
(8, 99, 'VLAN Public', 'VLAN Public');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `Client_Reseau`
--
ALTER TABLE `Client_Reseau`
  ADD PRIMARY KEY (`id_ClientReseau`),
  ADD KEY `fk_type` (`fk_type`),
  ADD KEY `fk_port` (`fk_port`);

--
-- Indexes for table `Historique_Client`
--
ALTER TABLE `Historique_Client`
  ADD PRIMARY KEY (`id_historique`),
  ADD KEY `Historique_Client_ibfk_1` (`fk_id_client`);

--
-- Indexes for table `Port`
--
ALTER TABLE `Port`
  ADD PRIMARY KEY (`id_port`),
  ADD KEY `fk_id_switch` (`fk_id_switch`);

--
-- Indexes for table `Relation_Vlan_Port`
--
ALTER TABLE `Relation_Vlan_Port`
  ADD PRIMARY KEY (`id_RelationVlanPort`),
  ADD KEY `fk_idPort` (`fk_idPort`),
  ADD KEY `fk_idVlan` (`fk_idVlan`);

--
-- Indexes for table `Switch`
--
ALTER TABLE `Switch`
  ADD PRIMARY KEY (`id_Switch`);

--
-- Indexes for table `Type_Client`
--
ALTER TABLE `Type_Client`
  ADD PRIMARY KEY (`id_Type`);

--
-- Indexes for table `VLan`
--
ALTER TABLE `VLan`
  ADD PRIMARY KEY (`id_vlan`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `Client_Reseau`
--
ALTER TABLE `Client_Reseau`
  MODIFY `id_ClientReseau` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;
--
-- AUTO_INCREMENT for table `Historique_Client`
--
ALTER TABLE `Historique_Client`
  MODIFY `id_historique` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT for table `Port`
--
ALTER TABLE `Port`
  MODIFY `id_port` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=18;
--
-- AUTO_INCREMENT for table `Relation_Vlan_Port`
--
ALTER TABLE `Relation_Vlan_Port`
  MODIFY `id_RelationVlanPort` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;
--
-- AUTO_INCREMENT for table `Switch`
--
ALTER TABLE `Switch`
  MODIFY `id_Switch` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT for table `Type_Client`
--
ALTER TABLE `Type_Client`
  MODIFY `id_Type` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT for table `VLan`
--
ALTER TABLE `VLan`
  MODIFY `id_vlan` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `Client_Reseau`
--
ALTER TABLE `Client_Reseau`
  ADD CONSTRAINT `Client_Reseau_ibfk_1` FOREIGN KEY (`fk_type`) REFERENCES `Type_Client` (`id_Type`),
  ADD CONSTRAINT `Client_Reseau_ibfk_2` FOREIGN KEY (`fk_port`) REFERENCES `Port` (`id_port`);

--
-- Constraints for table `Historique_Client`
--
ALTER TABLE `Historique_Client`
  ADD CONSTRAINT `Historique_Client_ibfk_1` FOREIGN KEY (`fk_id_client`) REFERENCES `Client_Reseau` (`id_ClientReseau`);

--
-- Constraints for table `Port`
--
ALTER TABLE `Port`
  ADD CONSTRAINT `Port_ibfk_1` FOREIGN KEY (`fk_id_switch`) REFERENCES `Switch` (`id_Switch`);

--
-- Constraints for table `Relation_Vlan_Port`
--
ALTER TABLE `Relation_Vlan_Port`
  ADD CONSTRAINT `Relation_Vlan_Port_ibfk_1` FOREIGN KEY (`fk_idPort`) REFERENCES `Port` (`id_port`),
  ADD CONSTRAINT `Relation_Vlan_Port_ibfk_2` FOREIGN KEY (`fk_idVlan`) REFERENCES `VLan` (`id_vlan`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
