#!/usr/bin/python
# -*- coding: utf-8 -*-
import MySQLdb as mdb
import sys

conn = mdb.connect(	host="localhost", # votre hôte, normalement le serveur local
					user="pizza", # utilisateur
					passwd="pizzamdp", # mot de passe
					db="SuperPizza") # nom de la base de données

# Il est nécessaire de créer un objet de type Curseur pour réaliser des requêtes
curs = conn.cursor()

curs.execute("SELECT * FROM Pizza")

rows = curs.fetchall()

for row in rows:
	print ("Id Pizza : %d" % row[0])
	id_Pizza=row[0]
	
	print ("Nom de la pizza : " + row[1])
	
	# On recherche l identifiant associé à la pâte
	curs.execute("SELECT nom_Pate FROM Pate WHERE id_Pate = %d" % (row[2]))
	pate = curs.fetchone()
	
	if pate is not None:
		print("Nom de la pâte : %s" % (pate))
	else:
		print ("Pâte introuvable - cohésion de la base de données incorrecte")
	
	# On recherche les ingrédients associés à la pizza
	curs.execute("SELECT * FROM GarniturePizza WHERE fk_id_Pizza = %d" % (id_Pizza))
	
	tab_garn_pizz = curs.fetchall()
	
	for garn_pizz in tab_garn_pizz:
		curs.execute("SELECT nom_garniture FROM Garniture where id_Garniture=%d" % (garn_pizz[1]))
		nom_garniture = curs.fetchone()
		if nom_garniture is not None:
			print("Garniture : %s" % nom_garniture)
		else:
			print ("Ingrédient introuvable - cohésion de la base de données incorrecte")
	
	# Pour séparer les différentes pizzas
	print
	
curs.close()    
conn.close()


