#!/usr/bin/python3
# -*- coding: utf-8 -*-
import sys
import mysql.connector

conn = mysql.connector.connect(
								user='pizza', 
								password='pizzamdp',
								host='localhost',
								database='FirstPizza'
)

# Traitement des requêtes aussitôt
conn.autocommit = True

# Il est nécessaire de créer un objet de type Curseur pour réaliser des requêtes
curs = conn.cursor()

# Demande de la garniture
garniture = input ("Votre garniture désirée ? ")
print ("Garniture : " + garniture)

# Rechercher de la garniture
curs.execute("SELECT * FROM Garniture WHERE nom_garniture=%s", [garniture])
rows = curs.fetchall()

# Nombre de résultats
nbre_resulats = len (rows)

if (nbre_resulats != 0 ):
	for row in rows:
		print (row[0])
else:
	print ("Désolé, nous n'avons pas : " + (garniture))
	
	# Rechercher de la garniture
	curs.execute("SELECT * FROM Garniture WHERE nom_garniture LIKE %s", ["%" + garniture + "%"])
	rows = curs.fetchall()
	
	# Nombre de résultats
	nbre_resultats = len (rows)
	
	if (nbre_resultats != 0 ):
		print ("Cependant nous pouvons vous proposer : ")
		for row in rows:
			print (row[0])
	else:
		print ("Nous ne pouvons rien vous proposer qui pourrait satisfaire à votre demande.")
		
curs.close()    
conn.close()