# Chloé, qui est au zoo depuis longtemps, vient de contracter une rage de dents en même temps que la grippe.
INSERT INTO `Maladies` (`nomA` , `nomM`) VALUES ('Chloe', 'Rage de dents');

# Brigitte est une libellule femelle qui est arrivée au zoo il y a quelques jours de Tanzanie. Les libellules sont des animaux de type "insecte archiptere". Brigitte a été placée dans la cage numéro 3. Depuis son arrivée au zoo, elle n’a contracté aucune maladie.
INSERT INTO Animaux VALUES ("Brigitte", "femelle", "insecte archiptere", "Tanzanie", 1981, 3);

# Contrôler le type de "Brigitte", corriger.
SELECT Type FROM Animaux WHERE ( nomA = "Brigitte");
# Le champs type a été fixé à 15 caractères il est insuffisant pour stocker l information.
ALTER TABLE `Animaux` CHANGE `type` `type` VARCHAR( 20 );
# Corriger le champs
UPDATE Animaux SET TYPE = "insecte archiptere" WHERE (nomA = "Brigitte");

# Chloe la Pie vient de manger Brigitte.
DELETE FROM Animaux WHERE (nomA = "Brigitte");

# Mme Bruandet, résidant à Papeete, vient d’être employée par le zoo. Elle a été affectée au gardiennage des cages 4, 11, et 12.
INSERT INTO Employes VALUES ("Bruandet", "Papeete");
INSERT INTO Gardiens VALUES (4, "Bruandet");
INSERT INTO Gardiens VALUES (11, "Bruandet");
INSERT INTO Gardiens VALUES (12, "Bruandet");

# La période d'essai n'a pas été profitable à Mme Bruandet qui quitte ses fonctions.
DELETE FROM Gardiens WHERE ( nomE = "Bruandet");
DELETE FROM Employes WHERE ( nomE = "Bruandet");

# On vient de construire une cage piscine, qui conviendra par exemple aux tortues. Elle a le numéro 40 et est située au bout de l’allée 10.
INSERT INTO Cages VALUES ( 40, "piscine", 10);