DELIMITER $$

CREATE
PROCEDURE `prixpizza`(IN num_pizza INT (11), OUT prix_pizza DOUBLE)
BEGIN
	SET @prix_pate = (SELECT prix FROM Pate WHERE id_PATE IN (SELECT fk_id_Pate FROM Pizza WHERE ( Pizza.id_Pizza = num_pizza)));
	SELECT "prix_pate=",@prix_pate;

	SET @prix_garniture = (SELECT SUM(prix) FROM (SELECT Garniture.prix as prix from Pizza, Garniture, GarniturePizza WHERE ( Pizza.id_Pizza=num_pizza AND GarniturePizza.fk_id_Pizza=num_pizza AND GarniturePizza.fk_id_Garniture=Garniture.id_Garniture)) total);
	SELECT "prix_garniture=",@prix_garniture;

	SET prix_pizza = @prix_pate + @prix_garniture;
END$$

DELIMITER ;