#!/usr/bin/python
# -*- coding: utf-8 -*-
import MySQLdb as mdb
import sys

def lire_ligne (f):
	valeur = f.readline()
	return valeur.rstrip()
	
conn = mdb.connect(	host="localhost", # votre hôte, normalement le serveur local
					user="vr", # utilisateur
					passwd="vr", # mot de passe
					db="voletroulant") # nom de la base de données

# Traitement des requêtes aussitôt
conn.autocommit(True)

# Il est nécessaire de créer un objet de type Curseur pour réaliser des requêtes
cur = conn.cursor()

# On ouvre le fichier "garniture.txt"
f = open('volets_roulants.txt', 'r')

cur.execute("DELETE FROM moteur")
cur.execute("DELETE FROM volet")

for i in range (10):
	hauteur=lire_ligne(f)
	largeur=lire_ligne(f)
	snv=lire_ligne(f)
	fab=lire_ligne(f)
	loc=lire_ligne(f)
	
	marque=lire_ligne(f)
	snm=lire_ligne(f)
	dachat=lire_ligne(f)
	ip=lire_ligne(f)
	
	print ("INSERT INTO volet VALUES (%s,%s,%s,%s,%s)"% (snv, hauteur, largeur, fab, loc))
	
	try:
		cur.execute("INSERT INTO volet VALUES (%s,%s,%s,%s,%s)", (snv, hauteur, largeur, fab, loc))
	
	except mdb.Error, e:
		print "Erreur %d: %s" % (e.args[0],e.args[1])
		sys.exit(1)

	print ("INSERT INTO moteur VALUES (\"%s\",\"%s\",%s,\'%s\',\"%s\")"% (snm, marque, dachat, ip, snv))
	
	try:
		cur.execute("INSERT INTO moteur VALUES (\"%s\",\"%s\",\'%s\',\"%s\",\"%s\")"% (snm, marque, dachat, ip, snv))
	
	except mdb.Error, e:
		print "Erreur %d: %s" % (e.args[0],e.args[1])
		sys.exit(1)

cur.close()    
conn.close()

f.close ()


