-- phpMyAdmin SQL Dump
-- version 4.6.4deb1
-- https://www.phpmyadmin.net/
--
-- Client :  localhost:3306
-- Généré le :  Mer 06 Juin 2018 à 12:01
-- Version du serveur :  5.7.18-0ubuntu0.16.10.1
-- Version de PHP :  7.0.18-0ubuntu0.16.10.1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `superviseur`
--

-- --------------------------------------------------------

--
-- Structure de la table `Client_Reseau`
--

CREATE TABLE `Client_Reseau` (
  `id_ClientReseau` int(11) NOT NULL,
  `hostname` varchar(50) NOT NULL,
  `adrs_ip` varchar(50) NOT NULL,
  `description` text NOT NULL,
  `fk_type` int(11) DEFAULT NULL,
  `fk_port` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Contenu de la table `Client_Reseau`
--

INSERT INTO `Client_Reseau` (`id_ClientReseau`, `hostname`, `adrs_ip`, `description`, `fk_type`, `fk_port`) VALUES
(9, 'Automate1', '192.168.1.1', '', 6, NULL),
(10, 'Automate2', '192.168.1.2', '', 6, NULL),
(11, 'PC Informaticien', '192.168.1.64', '', 7, 10),
(12, 'PC Secrétaire', '192.168.1.128', '', 7, 11),
(13, 'PC Opérateur 1', '192.168.1.32', '', 7, NULL),
(14, 'PC Opérateur 2', '192.168.1.33', '', 7, NULL),
(15, 'Serveur', '192.168.1.200', '', 10, NULL);

-- --------------------------------------------------------

--
-- Structure de la table `Historique_Client`
--

CREATE TABLE `Historique_Client` (
  `id_historique` int(11) NOT NULL,
  `date_evnmt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `description` text NOT NULL,
  `fk_id_client` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Contenu de la table `Historique_Client`
--

INSERT INTO `Historique_Client` (`id_historique`, `date_evnmt`, `description`, `fk_id_client`) VALUES
(5, '2018-01-06 11:00:00', 'l\'ordinateur de l\'informaticien a vu sa carte mère détruite par l\'introduction malencontreuse d\'une clé de type USB Kyller.', 11),
(6, '2018-04-01 07:00:00', 'le poste de Secrétaire a subi une réinitialisation suite à la découverte d\'une variante du virus Conficker.', 12),
(7, '2018-05-17 22:00:00', 'l\'ordinateur de l\'informaticien est équipé de Virtual Box pour permettre une meilleur supervision', 11);

-- --------------------------------------------------------

--
-- Structure de la table `Port`
--

CREATE TABLE `Port` (
  `id_port` int(11) NOT NULL,
  `num_port` int(11) NOT NULL,
  `fk_id_switch` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Contenu de la table `Port`
--

INSERT INTO `Port` (`id_port`, `num_port`, `fk_id_switch`) VALUES
(10, 1, 3),
(11, 2, 3),
(12, 10, 3),
(13, 1, 4),
(14, 3, 4),
(15, 4, 4),
(16, 5, 4);

-- --------------------------------------------------------

--
-- Structure de la table `Relation_Vlan_Port`
--

CREATE TABLE `Relation_Vlan_Port` (
  `id_RelationVlanPort` int(11) NOT NULL,
  `fk_idPort` int(11) NOT NULL,
  `fk_idVlan` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Contenu de la table `Relation_Vlan_Port`
--

INSERT INTO `Relation_Vlan_Port` (`id_RelationVlanPort`, `fk_idPort`, `fk_idVlan`) VALUES
(12, 10, 5),
(13, 11, 6),
(14, 12, 5),
(15, 12, 6),
(16, 12, 7),
(17, 13, 5),
(18, 13, 6),
(19, 13, 7),
(20, 14, 6),
(21, 15, 6),
(22, 16, 7);

-- --------------------------------------------------------

--
-- Structure de la table `Switch`
--

CREATE TABLE `Switch` (
  `id_Switch` int(11) NOT NULL,
  `hostname` varchar(50) NOT NULL,
  `adrs_ip` varchar(50) DEFAULT NULL,
  `nbre_ports` int(11) NOT NULL,
  `description` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Contenu de la table `Switch`
--

INSERT INTO `Switch` (`id_Switch`, `hostname`, `adrs_ip`, `nbre_ports`, `description`) VALUES
(3, 'Switch1', '10.122.1.1', 12, ''),
(4, 'Switch2', '10.122.1.2', 24, '');

-- --------------------------------------------------------

--
-- Structure de la table `Type_Client`
--

CREATE TABLE `Type_Client` (
  `id_Type` int(11) NOT NULL,
  `Type` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Contenu de la table `Type_Client`
--

INSERT INTO `Type_Client` (`id_Type`, `Type`) VALUES
(6, 'Automate'),
(7, 'PC'),
(8, 'Routeur'),
(9, 'Firewall'),
(10, 'Serveur');

-- --------------------------------------------------------

--
-- Structure de la table `VLan`
--

CREATE TABLE `VLan` (
  `id_vlan` int(11) NOT NULL,
  `numero` int(11) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `description` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Contenu de la table `VLan`
--

INSERT INTO `VLan` (`id_vlan`, `numero`, `nom`, `description`) VALUES
(5, 10, 'VLAN Administrateur', ''),
(6, 20, 'VLAN Secretariat', ''),
(7, 30, 'VLAN Automates', ''),
(8, 99, 'VLAN Public', '');

--
-- Index pour les tables exportées
--

--
-- Index pour la table `Client_Reseau`
--
ALTER TABLE `Client_Reseau`
  ADD PRIMARY KEY (`id_ClientReseau`),
  ADD KEY `fk_type` (`fk_type`),
  ADD KEY `fk_port` (`fk_port`);

--
-- Index pour la table `Historique_Client`
--
ALTER TABLE `Historique_Client`
  ADD PRIMARY KEY (`id_historique`);

--
-- Index pour la table `Port`
--
ALTER TABLE `Port`
  ADD PRIMARY KEY (`id_port`),
  ADD KEY `fk_id_switch` (`fk_id_switch`);

--
-- Index pour la table `Relation_Vlan_Port`
--
ALTER TABLE `Relation_Vlan_Port`
  ADD PRIMARY KEY (`id_RelationVlanPort`),
  ADD KEY `fk_idPort` (`fk_idPort`),
  ADD KEY `fk_idVlan` (`fk_idVlan`);

--
-- Index pour la table `Switch`
--
ALTER TABLE `Switch`
  ADD PRIMARY KEY (`id_Switch`);

--
-- Index pour la table `Type_Client`
--
ALTER TABLE `Type_Client`
  ADD PRIMARY KEY (`id_Type`);

--
-- Index pour la table `VLan`
--
ALTER TABLE `VLan`
  ADD PRIMARY KEY (`id_vlan`);

--
-- AUTO_INCREMENT pour les tables exportées
--

--
-- AUTO_INCREMENT pour la table `Client_Reseau`
--
ALTER TABLE `Client_Reseau`
  MODIFY `id_ClientReseau` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;
--
-- AUTO_INCREMENT pour la table `Historique_Client`
--
ALTER TABLE `Historique_Client`
  MODIFY `id_historique` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
--
-- AUTO_INCREMENT pour la table `Port`
--
ALTER TABLE `Port`
  MODIFY `id_port` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;
--
-- AUTO_INCREMENT pour la table `Relation_Vlan_Port`
--
ALTER TABLE `Relation_Vlan_Port`
  MODIFY `id_RelationVlanPort` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=23;
--
-- AUTO_INCREMENT pour la table `Switch`
--
ALTER TABLE `Switch`
  MODIFY `id_Switch` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT pour la table `Type_Client`
--
ALTER TABLE `Type_Client`
  MODIFY `id_Type` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT pour la table `VLan`
--
ALTER TABLE `VLan`
  MODIFY `id_vlan` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;
--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `Client_Reseau`
--
ALTER TABLE `Client_Reseau`
  ADD CONSTRAINT `Client_Reseau_ibfk_1` FOREIGN KEY (`fk_type`) REFERENCES `Type_Client` (`id_Type`),
  ADD CONSTRAINT `Client_Reseau_ibfk_2` FOREIGN KEY (`fk_port`) REFERENCES `Port` (`id_port`);

--
-- Contraintes pour la table `Port`
--
ALTER TABLE `Port`
  ADD CONSTRAINT `Port_ibfk_1` FOREIGN KEY (`fk_id_switch`) REFERENCES `Switch` (`id_Switch`);

--
-- Contraintes pour la table `Relation_Vlan_Port`
--
ALTER TABLE `Relation_Vlan_Port`
  ADD CONSTRAINT `Relation_Vlan_Port_ibfk_1` FOREIGN KEY (`fk_idPort`) REFERENCES `Port` (`id_port`),
  ADD CONSTRAINT `Relation_Vlan_Port_ibfk_2` FOREIGN KEY (`fk_idVlan`) REFERENCES `VLan` (`id_vlan`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
